<?php
include("funciones/funciones_backup.php");   
echo"<html>";
  echo"<html onMouseOver=\"self.status='Powered by Carpediem Colombia Ltda'; return true\">";
   echo"<head>";
    echo"<title>.::Sistema WEBSIM GAMA::. </title>";
	echo"<meta name=\"author\" content='DESARROLLO WEB'>";
	echo"<link rel='stylesheet' href='css/style.css' type=\"text/css\">";
	echo"<link rel=\"SHORTCUT ICON\" href=imagenes/vc.png>";
   echo"</head>";
   echo"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" bgcolor=\"#ffffff\">";

   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Movimientos/planillas.php"); 
	 
$planilla=$_GET['planilla'];
$read="readonly='readonly'";
$pagina='ELIMINAR PLANILLA';
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Planilla No: </td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="planilla" value="<? echo $planilla?>" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Ejecutar" value="Ejecutar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if(isset($Ejecutar)){

class quitarPlanilla{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 $this->consultarObj=new planillas();
	  		 $this->consultarObj->setId($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM planillas WHERE id_planilla='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$planilla=$this->consultarObj->getId();
				$this->eliminarPlanillas($planilla);
			}else{
				$msgBOX2 = "No Se Encontro Planilla.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarPlanillas($planilla){
			$rst_orden=$this->conexionObj->consultar("select orden FROM guias_proceso WHERE id_planilla = ".$planilla."");
			$tomar_orden=mysql_fetch_array($rst_orden);
	 		$norden=$tomar_orden[0];
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM planillas WHERE id_planilla = ".$planilla."");
			$rst_modificar=$this->conexionObj->consultar("update guias_proceso set id_mensajero='0',id_estado='12',id_planilla='0' WHERE id_planilla = ".$planilla."");
			$rst_modificar=$this->conexionObj->consultar("update rastreo_guias set E13='0',F13='0000-00-00 00:00:00' WHERE orden = ".$norden."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Planilla.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Planilla.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarPlanillaObj=new quitarPlanilla();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarPlanillaObj->setConsultar($_POST['planilla']);
// LAMANDO EL METODO DE NEGOCIO
$quitarPlanillaObj->validar();
  
}else{
	if($planilla){
		echo "<script>
		  alert('Esta Seguro Que Desea Eliminar la Planilla');
		  </script>";
	}
}
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
  echo"</tr>";
  echo"</tbody></table>";
  echo"</body>";
  echo"</html>";
?>